import { RoomServiceClient } from "livekit-server-sdk";

if (!process.env.NEXT_PUBLIC_LIVEKIT_URL) throw new Error("NEXT_PUBLIC_LIVEKIT_URL is not defined");

export const RoomManager = new RoomServiceClient(
	process.env.NEXT_PUBLIC_LIVEKIT_URL!,
	process.env.LIVEKIT_API_KEY,
	process.env.LIVEKIT_API_SECRET,
);
